%define upstream_name	 Test-LongString
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to test strings for equality
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.120.0
BuildRequires: perl(Test::Builder::Tester) >= 1.40.0
BuildArch:  noarch

%description
This module provides some drop-in replacements for the string comparison
functions of Test::More, but which are more suitable when you test against long
strings. If you've ever had to search for text in a multi-line string like an
HTML document, or find specific items in binary data, this is the module for
you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{perl_vendorlib}/Test/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 373587
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 56837
- update to 0.15

* Fri Jan 21 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 29449
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 24565
- fix specs
- imported package perl-Test-LongString

